<md-content layout-padding="">
    <h1>Login</h1>
    <form name="userForm" ng-submit="login()">
        <md-input-container class="md-block" flex-gt-sm>
            <label>아이디</label>
            <input name="p" ng-model="user.p" required maxlength="20"/>
            <div ng-messages="userForm.p.$error">
                <div ng-message-exp="[ 'required', 'maxlength', 'pattern' ]">
                    아이디 관련 입력 오류에 대한 안내
                </div>
            </div>
        </md-input-container>
        <md-input-container class="md-block" flex-gt-sm>
            <label>비밀번호</label>
            <input name="c" ng-model="user.c" required maxlength="20"/>
            <div ng-messages="userForm.c.$error">
                <div ng-message-exp="[ 'required', 'maxlength', 'pattern' ]">
                    비밀번호 관련 입력 오류에 대한 안내
                </div>
            </div>
        </md-input-container>
        <md-button type="submit" class="md-raised">로그인하기</md-button>
    </form>
</md-content>